function res=fluidexample2 ()

    function [Q, R] = buildOnOff (meanOn, meanOff, rate, baserate, K)
        
        Q = sparse(K,K);
        R = sparse(K,K);
        for i=1:K
            if i<K
                Q(i,i+1) = (K-i) / meanOn;
            end
            if i>1
                Q(i,i-1) = (i-1) / meanOff;
            end
            R(i,i) = baserate + (i-1)*rate/K;
        end
        Q = Q - diag(sum(Q,2));
    end
    
    utilization = 0.9;
    classcontrib = [0.1, 0.3, 0.6];

    Kinvalues = [10:10:90, 100:50:450, 500:100:1000];
    
    runtimes = zeros(length(Kinvalues),2);
    runtimes(:,1) = Kinvalues;
    for n=1:length(Kinvalues)
        Kin = Kinvalues(n);
        if Kin<50
            repeat = 30;
        elseif Kin<200
            repeat = 10;
        else
            repeat = 3;
        end
        repres = zeros(1,repeat);
        for r=1:repeat
            [Qin, Rin] = buildOnOff (3*Kin, Kin, 50.0, 0, Kin);
            lambda = sum(CTMCSolve(Qin)*Rin);
            d = lambda/utilization;
            R = zeros(length(classcontrib),size(Qin,1));
            for k=1:length(classcontrib)
                R(k,:) = diag(Rin)*classcontrib(k);
            end   
            t = clock();
%            [stM1,stM2,stM3] = FluidPrioQueue (Qin, R, d, 'stMoms', 5);
            [flM1,flM2,flM3] = FluidPrioQueue (Qin, R, d, 'flMoms', 5);
            repres(r) = etime(clock(),t);
        end
        runtimes(n,2) = min(repres);
        disp(runtimes);
    end
    res = runtimes;
end

